# Module `awful.hotkeys_popup`

Popup widget which shows current hotkeys and their descriptions.

### Info:

- Copyright: 2014-2015 Yauheni Kirylau
- Author: Yauheni Kirylau <yawghen@gmail.com>

## Functions

awful.hotkeys_popup.show_help ([c[, s]]) | This is the same as awful.hotkeyspopup.widget.showhelp.

## lib.awful.hotkeys_popup.keys.tmux Functions

add_rules_for_terminal (rule) | Add rules to match tmux session.

## Functions

Methods

awful.hotkeys_popup.show_help ([c[, s]])
  This is the same as awful.hotkeyspopup.widget.showhelp.

  example usage:

       local hotkeys_popup = require("awful.hotkeys_popup")
       myawesomemenu = {{ "hotkeys", function() hotkeys_popup.show_help() end },
                        -- <more entries>
       }

  see awful.hotkeys_popup.widget.show_help for more information

  - c client The hostkeys for the client "c". (optional)
  - s screen The screen. (optional)

  ### See also:

  awful.hotkeys_popup.widget.show_help

## lib.awful.hotkeys_popup.keys.tmux Functions

add_rules_for_terminal (rule)
  Add rules to match tmux session.

  For example:

       tmux.add_rules_for_terminal({ rule = { name = { "tmux" }}})

  will show tmux hotkeys for any window that has 'tmux' in its title. If no rules are provided then tmux hotkeys will be shown always!

  - rule table Rules to match a window containing a tmux session.

  ### See also:

  awful.rules.rules

generated by LDoc 1.5.0 Last updated 2025-09-26 21:04:17